﻿Public Class Form1
    ' The time when the user clicked Start.
    Private StartTime As Date

    ' Start the Timer.
    Private Sub btnStart_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnStart.Click
        StartTime = Date.Now
        btnStart.Enabled = False
        btnStop.Enabled = True
        tmrElapsed.Enabled = True
    End Sub

    ' Stop the Timer.
    Private Sub btnStop_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnStop.Click
        btnStart.Enabled = True
        btnStop.Enabled = False
        tmrElapsed.Enabled = False
    End Sub

    ' Display the elapsed time.
    Private Sub tmrElapsed_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles tmrElapsed.Tick
        ' Subtract the start time from the
        ' current time to get elapsed time.
        Dim elapsed As TimeSpan = Date.Now - StartTime

        ' Display the result.
        lblElapsed.Text = String.Format(
            "{0:00}:{1:00}:{2:00}.{3:00}",
            elapsed.Hours,
            elapsed.Minutes,
            elapsed.Seconds,
            elapsed.Milliseconds / 10)
    End Sub
End Class
